Compare Revisions

Firefox OS build prerequisites

Revision 442943:

Revision 442943 by jrmuizel on

Revision 443433:

Revision 443433 by jlebar on

Title:
Firefox OS build prerequisites
Firefox OS build prerequisites
Slug:
Mozilla/Firefox_OS/Firefox_OS_build_prerequisites
Mozilla/Firefox_OS/Firefox_OS_build_prerequisites
Tags:
"Mobile","B2G","Firefox OS","Build documentation"
"Mobile","B2G","Firefox OS","Build documentation"
Content:

Revision 442943
Revision 443433
tt209    <p>
210      As of July 24, 2013, there exists a major problem when buil
 >ding the emulator on 64-bit Ubuntu/Debian systems.&nbsp; The emul
 >ator build requires both the 64-bit and 32-bit versions of libGL.
 >so, but you can have only one of the libgl1-mesa-dev and libgl-me
 >sa-dev:i386 packages installed at a time.&nbsp; As a result, you'
 >ll get a number of errors during the build about -lGL not being f
 >ound.
211    </p>
212    <p>
213      The work-around is to alternate between the 32-bit and 64-b
 >it versions of the library until the build succeeds.&nbsp; This a
 >wfulness is tracked in <a href="https://bugzilla.mozilla.org/show
 >_bug.cgi?id=897727" title="https://bugzilla.mozilla.org/show_bug.
 >cgi?id=897727">bug 897727</a>.
214    </p>

Back to History